.books-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-column-gap: 22px;
  grid-row-gap: 22px;
  margin-top: 24px;
  margin-bottom: 120px;
}

.card {
  border: #A8A8A8 solid 1px;
  padding: 32px;

  &__img-container {
    display: block;
    position: relative;

    &__img {
      width: 178px;
      height: 280px;
      margin: 0 32px;
      z-index: 0;
    }
  }

  &__content {
    margin: 16px 0;

    &__name {
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      width: 242px;

      color: #1F1F1F;
      font-family: Cabin, serif;
      font-size: 20px;
      font-style: normal;
      font-weight: 700;
      line-height: 28px;
    }

    &__author {
      overflow: hidden;
      color: #8E8E8E;
      text-overflow: ellipsis;
      white-space: nowrap;
      font-family: Cabin, serif;
      font-size: 16px;
      font-style: normal;
      font-weight: 400;
      line-height: 24px;

      margin-bottom: 8px;
    }
  }

  &__prices {
    display: flex;
    flex-flow: row wrap;
    gap: 24px;

    &__price {
      color: #E90000;
      font-family: Cabin, serif;
      font-size: 24px;
      font-style: normal;
      font-weight: 500;
      line-height: 32px;

      &--last {
        color: #8E8E8E;
        text-decoration-line: line-through;
      }
    }
  }

  &__btn {
    width: 100%;
    padding: 8px 24px;

    border-radius: 4px;

    color: #F8FDFE;
    text-align: center;
    font-family: Cabin, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    border: 0;

    &--add {
      background: #4C394E;

      &:hover {
        background: #744978;
      }
    }


    &--end-up {
      background: #4D762D;

      &:hover {
        background: #6DB236;
      }
    }

  }
}


.img-container-badges {
  display: flex;
  flex-flow: row wrap;
  position: absolute;
  gap: 4px;
}

.badge {
  padding: 4px 8px;
  border-radius: 4px;

  color: #F8FDFE;
  text-align: center;
  font-family: Cabin, serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;

  &--hit {
    background: #4200FF;
  }

  &--new {
    background: #AF39E7;
  }

  &--discount {
    background: #EA33C0;
  }
}